

CREATE DATABASE tpch1g ON PRIMARY
(NAME = tpch1g_root, 
 FILENAME = "G:\TPCH\tpch1g.mdf", 
 SIZE = 100MB, 
 MAXSIZE = UNLIMITED,
 FILEGROWTH = 10MB),


FILEGROUP LOAD_FG
(NAME = tpch1g_load1,  FILENAME = 'G:\mnt\ntfs\load\load1.mdf',  SIZE = 9GB),
(NAME = tpch1g_load2,  FILENAME = 'G:\mnt\ntfs\load\load2.mdf',  SIZE = 9GB),
(NAME = tpch1g_load3,  FILENAME = 'G:\mnt\ntfs\load\load3.mdf',  SIZE = 9GB),
(NAME = tpch1g_load4,  FILENAME = 'G:\mnt\ntfs\load\load4.mdf',  SIZE = 9GB),

FILEGROUP DATA_FG

(NAME = tpch1g_data1,  FILENAME = 'G:\mnt\ntfs\data\1\tpch1g_data1.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data2,  FILENAME = 'G:\mnt\ntfs\data\2\tpch1g_data2.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data3,  FILENAME = 'G:\mnt\ntfs\data\3\tpch1g_data3.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data4,  FILENAME = 'G:\mnt\ntfs\data\4\tpch1g_data4.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data5,  FILENAME = 'G:\mnt\ntfs\data\5\tpch1g_data5.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data6,  FILENAME = 'G:\mnt\ntfs\data\6\tpch1g_data6.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data7,  FILENAME = 'G:\mnt\ntfs\data\7\tpch1g_data7.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB),
(NAME = tpch1g_data8,  FILENAME = 'G:\mnt\ntfs\data\8\tpch1g_data8.mdf',  SIZE = 1024MB, FILEGROWTH = 100MB)


LOG ON 
(	NAME		= tpch1g_log1, 
    FILENAME	= 'G:\TPCH\tpch1g_log1.mdf',
    SIZE		= 10GB,
    FILEGROWTH = 10MB)

ALTER DATABASE tpch1g COLLATE Latin1_General_BIN 

-- ## Put the below is a separate script which is run immediately after createdb in Stepmaster
-- ## Keeping it here, stepmaster would complain.
-- use tpch1g
-- go 
-- declare @STR nvarchar(max) 
-- SET @STR = 'ALTER ntfs\tpch1g_dataBASE ['+DB_NAME()+'] COLLATE Latin1_General_BIN' 
-- EXEC(@STR) 


